Summary: J Framebuffer terminal
Name: jfbterm
Version: 0.4.7
Release: 1.EL3.1
License: BSD
URL: http://sourceforge.jp/projects/jfbterm/
Group: Applications/System
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ncurses
Requires: XFree86-base-fonts fonts-ja
Source: http://prdownloads.sourceforge.jp/jfbterm/9710/%{name}-%{version}.tar.gz
Patch0: jfbterm-0.4.6-conf.patch
Patch1: jfbterm-0.4.6-dont-change-owner-and-perms.patch
Patch2: jfbterm-0.4.6-build-x86-64.patch
Patch3: jfbterm-0.4.7-sighld.patch
ExcludeArch: ia64

%description
jfbterm is a program to print several character sets, such as Japanese Kanji,
on Linux framebuffer device.  It takes advantage of peudo tty mechanisms
to hook console output in the same way as KON.  It renders font on framebuffer
device instead of VGA that is used by KON.
Features are:
* It uses PCF format of font file.  So, you need some bitmap font used in X
  window system.
* It supports ISO-2022 encodings and UTF-8 encoding. It also supports other
  coding system such as SHIFT_JIS by using iconv(3).
* It hooks output by using pty and emulate terminal on frame buffer device.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%ifarch x86_64
%patch2 -p1
%endif
%patch3 -p1

%build
libtoolize --force
automake-1.4
autoconf
%configure
make

%install
mkdir -p $RPM_BUILD_ROOT/etc
make install DESTDIR=$RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT/etc
mv jfbterm.conf.sample jfbterm.conf
popd
install -d $RPM_BUILD_ROOT%{_datadir}/terminfo/j/
TERMINFO=$RPM_BUILD_ROOT%{_datadir}/terminfo tic terminfo.jfbterm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%lang(ja) %doc README.ja
%attr(4755,root,root) %{_bindir}/jfbterm
%config %{_sysconfdir}/jfbterm.conf
%{_datadir}/fonts/jfbterm
%{_datadir}/terminfo

%changelog
* Tue Apr 12 2005 Akira TAGOH <tagoh@redhat.com> - 0.4.7-1.EL3.1
- jfbterm-0.4.7-sighld.patch: applied a patch from Debian to fix a lockup problem.

* Fri Feb 25 2005 Akira TAGOH <tagoh@redhat.com> - 0.4.7-1.EL3.0
- New upstream release.
  - contains the security fix.

* Wed Nov 17 2004 Akira TAGOH <tagoh@redhat.com> - 0.4.6-1.EL3.0
- added terminfo.
- added ncurses to BuildRequires.
- updated Requires.
- jfbterm-0.4.6-build-x86-64.patch: applied to build without the errors
  on x86-64.
- added ExcludeArch: ia64 for a workaround to avoid glibc-kernelheaders breakage.

* Mon Nov 15 2004 Akira TAGOH <tagoh@redhat.com> - 0.4.6-1
- New upstream release.
- clean up the spec file.

* Fri Mar 17 2000 Chris Ding <cding@redhat.com>
- added patch for encoding

* Tue Mar 14 2000 Matt Wilson <msw@redhat.com>
- rebuilt for 6.2j

* Wed Mar  1 2000 Chris Ding <cding@redhat.com>
- initial version
